Subject: Re: [PATCH 1/6] ibmvfc: byte swap login_buf.resp values in attribute show functions

From: Christoph Hellwig <[email-masked]>
Date: Thu, 12 Nov 2020 09:37:52 +0000

On Wed, Nov 11, 2020 at 07:04:37PM -0600, Tyrel Datwyler wrote:
> Both ibmvfc_show_host_(capabilities|npiv_version) functions retrieve
> values from vhost->login_buf.resp buffer. This is the MAD response
> buffer from the VIOS and as such any multi-byte non-string values are in
> big endian format.
> 
> Byte swap these values to host cpu endian format for better human
> readability.

The whole series creates tons of pointlessly over 80 char lines.
Please do a quick fixup.